Page MenuHomePhabricator

Implement site.undelete
Closed, ResolvedPublic

Description

Currently core has methods in the Page object for undeletion (Page.markDeletedRevision and Page.undelete), which invoke method Site.undelete() which does not exist.


Version: core-(2.0)
Severity: normal
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=73370
https://bugzilla.wikimedia.org/show_bug.cgi?id=60572

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:48 AM
bzimport set Reference to bz72733.
bzimport added a subscriber: Unknown Object (????).
jayvdb created this task.Oct 30 2014, 2:56 AM

gerritadmin wrote:

Change 172116 had a related patch set uploaded by John Vandenberg:
Mark page.undelete as not implemented.

https://gerrit.wikimedia.org/r/172116

jayvdb added a comment.Nov 9 2014, 5:44 PM

This is only a major significance as the code currently calls a missing function, which is very unclean.

undelete is not a critical function for most users.

gerritadmin wrote:

Change 172116 merged by jenkins-bot:
Mark page.undelete as not implemented.

https://gerrit.wikimedia.org/r/172116

jayvdb moved this task from Backlog to pywikibot on the Google-Code-in-2014 board.Dec 20 2014, 4:31 AM

Change 181235 had a related patch set uploaded (by Unicodesnowman):
Reimplement Site.undelete and Page.undelete

https://gerrit.wikimedia.org/r/181235

Patch-For-Review

Change 181235 merged by jenkins-bot:
Reimplement Site.undelete and Page.undelete

https://gerrit.wikimedia.org/r/181235

Change 181359 had a related patch set uploaded (by Unicodesnowman):
Implement undelete tests for APISite and deletionbot

https://gerrit.wikimedia.org/r/181359

Patch-For-Review

Unicodesnowman set Security to None.
Unicodesnowman removed a subscriber: Unknown Object (????).

Change 181359 merged by jenkins-bot:
Update DeletionBot for undelete, implement tests

https://gerrit.wikimedia.org/r/181359

Unicodesnowman closed this task as Resolved.Dec 22 2014, 3:22 AM